Create Verification Link

Overview

The Create Verification Link API generates a unique, shareable link that allows an end user to start an IDWise verification journey.

This API is useful when the verification journey needs to be initiated outside of an embedded SDK integration, for example, when an application needs to generate and distribute a verification link through its own user interface, email, SMS, or other communication channel.

Usage

To generate a verification link, provide the required fields:

  • flow_id: Identifies the Flow ID that defines the verification steps and configuration.
  • reference_no: A unique reference used to identify the verification journey/user.

Depending on the use case, the following optional parameters can be used:

  • locale: Set the user's preferred locale.
  • applicant_details: Provide applicant details for AML journeys.
  • validity_duration: Define how long the verification link remains valid. If not specified, the default validity is 60 minutes.
  • redirection_url: Specify a redirection URL to redirect the user after the journey is completed.

Base URL by Region

The base URL you should use depends on the region where your services are hosted. Below are the available URLs for each region. By default, the EU region URL is used.

  • EU (Default): https://api.idwise.com/
  • UAE: https://api-uae.idwise.com/
  • Qatar: https://api-qat.idwise.com/

Authentication

Please refer to the API Credentials and Authentication page for more detailed information

Body Params
Responses

Language
Credentials
Basic
base64
:
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json